# Method: projects.locations.indexEndpoints.create

- [HTTP request](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints/create#body.request_body)
- [Response body](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints/create#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints/create#body.aspect_1)

Creates an IndexEndpoint.

### HTTP request

`POST https://visionai.googleapis.com/v1alpha1/{parent=projects/*/locations/*}/indexEndpoints`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Format: `projects/{project}/locations/{location}` |

### Query parameters

| Parameters ||
|---|---|
| `indexEndpointId` | `string` Optional. The ID to use for the IndexEndpoint, which will become the final component of the IndexEndpoint's resource name if the user specifies it. Otherwise, IndexEndpoint id will be autogenerated. This value should be up to 63 characters, and valid characters are a-z, 0-9 and dash (-). The first character must be a letter, the last must be a letter or a number. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints#IndexEndpoint`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/vision-ai/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `visionai.indexEndpoints.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).